> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sontairo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cron Jobs

> Returns all cron jobs in a workspace.



## OpenAPI

````yaml GET /api/cron-jobs
openapi: 3.0.3
info:
  title: Sontairo API
  description: REST API for the Sontairo AI agent orchestration platform
  version: 1.0.0
servers:
  - url: https://www.sontairo.com
security:
  - bearerAuth: []
  - cookieAuth: []
paths:
  /api/cron-jobs:
    get:
      tags:
        - Cron Jobs
      summary: List cron jobs
      description: Returns all cron jobs in a workspace.
      operationId: listCronJobs
      parameters:
        - name: workspaceId
          in: query
          required: true
          schema:
            type: string
        - name: projectId
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: List of cron jobs
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CronJob'
components:
  schemas:
    CronJob:
      type: object
      properties:
        id:
          type: string
        workspaceId:
          type: string
        projectId:
          type: string
          nullable: true
        name:
          type: string
        description:
          type: string
          nullable: true
        schedule:
          type: string
        prompt:
          type: string
        timezone:
          type: string
        isActive:
          type: boolean
        agentId:
          type: string
          nullable: true
        agent:
          type: object
          nullable: true
          properties:
            id:
              type: string
            name:
              type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Session token issued by the desktop/native auth exchange, sent as
        Authorization: Bearer <token>.
    cookieAuth:
      type: apiKey
      in: cookie
      name: session
      description: Browser session cookie set by the web sign-in flow.

````